## remotesms 1.0

=== Makefile ===
all: remotesms

remotesms: remotesms.vala
	valac --thread --pkg libsoup-2.4 $^

clean:
	rm -f remotesms


install: remotesms
	cp remotesms $(DESTDIR)/usr/bin/
	cp sendsms.py $(DESTDIR)/usr/bin/
	cp event.d/remotesms $(DESTDIR)/etc/event.d/

=== debian/changelog ===
remotesms (1.0) unstable; urgency=low

  * Initial release

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  25 Nov 2010 22:20:00 +0300

=== debian/control ===
Source: remotesms
Section: user/network
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), vala, libsoup2.4-dev
Standards-Version: 2.0

Package: remotesms
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}
Description: Web interface for sending SMS from your N900
XB-Maemo-Display-Name: RemoteSMS

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/remotesms install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install build-indep binary-arch binary
